@import './components/black-component';
@import './components/light-component';
@import './variables/colors';
@import '~bootstrap';
@import 'node_modules/bootstrap/scss/bootstrap';
@import 'node_modules/bootstrap-vue/src/index.scss';
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap');

body {
    font-family: 'Montserrat', sans-serif;
    a, a:hover  {
        color: #000;
    }
}

.header {
    @include black-component;

    margin-bottom: 30px;
    border-bottom: 2px solid $red-component-border;
    padding: 0;

    .logo {
        width: 50px;
        height: auto;
    }
}

.footer {
    @include black-component;

    border-top: 2px solid $red-component-border;
    color: #fff;
    margin-top: 30px;

    span {
        color: #ff0000;
    }

    a {
        color: #fff;
        text-decoration: underline;
    }

    a:hover {
        color: #efefee;
    }
}

.component-light {
    @include light-component;
    margin-top: 25px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    width: 900px;
}
